Bug 89538 - Keyboard sticky on IBM Thinkpad R32
Keyboard sticky on IBM Thinkpad R32
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-23 19:41 EDT by Matthew Enger
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Enger 2003-04-23 19:41:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; MSOCD; AtHomeEN191)

Description of problem:
When typing frequently the operating system does not seem to know when a key 
has been released or pressed. This causes keys to appear to be stuck.

The problem does not occur in windows nor if I use an external USB keyboard.

It does not occur for every keystroke, but it does occur frequently.

I am using an IBM R32 Notebook (2658-N4M).

Version-Release number of selected component (if applicable):
kernel-2.4.18-27.8.0

How reproducible:
Sometimes

Steps to Reproduce:
1. Type away till key gets stuck


Actual Results:  The keystroke I pressed keeps repeating.

Expected Results:  The key should have been released and only occured once.

Additional info:

Pressing the key again will fix the problem till it happenes again.
Comment 1 bperkins 2003-04-27 15:59:08 EDT
I've seen this too. This seems to be due to the APM BIOS causing keybaord
interrupts to get dropped whenever /proc/apm is read.

You'll notice a vast improvement if you shut off the battstat applet.  If you
look at the date, you'll probably notice a great deal of clock skew.

Battstat polls /proc/apm once per second, which is kind of overkill, but there's
no simple way to change this AFAIK.
Comment 2 Bugzilla owner 2004-09-30 11:40:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.